UbuntuUpdates.org

Package "libvirt"

Name: libvirt

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • programs for the libvirt library
  • Programs for the libvirt library
  • Virtualization daemon
  • Virtualization daemon RBD storage driver

Latest version: 4.0.0-1ubuntu8.14
Release: bionic (18.04)
Level: updates
Repository: main

Links

Save this URL for the latest version of "libvirt": https://www.ubuntuupdates.org/libvirt



Other versions of "libvirt" in Bionic

Repository Area Version
base main 4.0.0-1ubuntu8
base universe 4.0.0-1ubuntu8
security main 4.0.0-1ubuntu8.12
security universe 4.0.0-1ubuntu8.12
updates universe 4.0.0-1ubuntu8.14

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 4.0.0-1ubuntu8.9 2019-05-07 21:06:32 UTC

  libvirt (4.0.0-1ubuntu8.9) bionic; urgency=medium

  * d/p/ubuntu/lp-1823676-Use-the-correct-vm-def-on-cold-attach.patch:
    fix issues attaching scsi adapters without explicit index (LP: #1823676)

 -- Christian Ehrhardt <email address hidden> Wed, 10 Apr 2019 15:14:09 +0200

Source diff to previous version
1823676 Failed to attach scsi contr. with opt. \

Version: 4.0.0-1ubuntu8.8 2019-03-14 20:07:00 UTC

  libvirt (4.0.0-1ubuntu8.8) bionic-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    - debian/patches/CVE-2019-3840.patch: require a reply in
      src/qemu/qemu_agent.c.
    - CVE-2019-3840

 -- Marc Deslauriers <email address hidden> Wed, 13 Mar 2019 08:09:33 -0400

Source diff to previous version
CVE-2019-3840 NULL pointer dereference after running qemuAgentCommand in qemuAgentGetInterfaces function

Version: 4.0.0-1ubuntu8.7 2019-03-07 11:06:58 UTC

  libvirt (4.0.0-1ubuntu8.7) bionic; urgency=medium

  * d/p/ubuntu/lp-1811198-utils-Remove-arbitrary-limit-on-socket_id-core_id
    .patch: fix arm servers with high core_id (LP: #1811198)
  * d/p/ubuntu/lp-1771662-*: fix assumption that all VFs have PFs assigned
    (LP: #1771662)

 -- Christian Ehrhardt <email address hidden> Thu, 31 Jan 2019 12:45:18 +0100

Source diff to previous version
1811198 virt-manager fail to start on huawei arm server
1771662 [bionic] libvirtError: Node device not found: no node device with matching name

Version: 4.0.0-1ubuntu8.6 2018-12-11 18:07:21 UTC

  libvirt (4.0.0-1ubuntu8.6) bionic; urgency=medium

  * d/control: explicitly Build-dep on libwiretap-dev to fix FTBFS since
    libwireshark 2.6.x SRU upload (LP: #1801666)
  * debian/patches/ubuntu/lp1787405-*: Support guest dedicated Crypto
    Adapters on s390x (LP: #1787405)

 -- Christian Ehrhardt <email address hidden> Fri, 09 Nov 2018 07:42:01 +0100

Source diff to previous version
1801666 FTBFS in Bionic - seems due to newer wireshark
1787405 [FEAT] Guest-dedicated Crypto Adapters

Version: 4.0.0-1ubuntu8.5 2018-09-13 09:06:46 UTC

  libvirt (4.0.0-1ubuntu8.5) bionic; urgency=medium

  * d/p/ubuntu-aa/lp-1788603-fix-ptrace-rules-with-kernel-4.18.patch:
    avoid issues with newer kernels >=4.18 (LP: #1788603)
  * d/p/ubuntu/lp-1789659-don-t-check-for-parallel-iteration-in-hash.patch:
    remove broken and redundant check for parallel iteration in hash functions
    (LP: #1789659)

 -- Christian Ehrhardt <email address hidden> Tue, 28 Aug 2018 07:26:19 +0200

1788603 libvirt fails with failure to open mount namespace
1789659 libvirt-daemon error \



About   -   Send Feedback to @ubuntu_updates